## visad.georef
Class TrivialNavigation

    java.lang.Object
      visad.CoordinateSystem
          visad.georef.NavigatedCoordinateSystem
              visad.georef.TrivialNavigation

All Implemented Interfaces:
  Serializable

public class TrivialNavigation
extends NavigatedCoordinateSystem

See Also:
  Serialized Form

Constructor Summary
`TrivialNavigation(RealTupleType reference)` Create a NavigationCoordinateSystem that just returns the input tuple.

Method Summary
`boolean` `equals(Object cs)` See if the object in question is equal to this CoordinateSystem.
`double[][]` `fromReference(double[][] refTuple)` Transform from the reference coordinates
`double[][]` `toReference(double[][] tuple)` Transform to the reference coordinates

Methods inherited from class visad.georef.NavigatedCoordinateSystem
`getLatitudeIndex, getLongitudeIndex`

Methods inherited from class visad.CoordinateSystem
`canConvert, fromReference, fromReference, fromReference, getCoordinateSystemUnits, getDimension, getReference, getReferenceUnits, toReference, toReference, toReference, transformCoordinates, transformCoordinates, transformCoordinates, transformCoordinates, transformCoordinatesFreeUnits, transformCoordinatesFreeUnits`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TrivialNavigation

    public TrivialNavigation(RealTupleType reference)
                      throws VisADException

  Create a NavigationCoordinateSystem that just returns the input tuple.

Parameters:
  `reference` - reference RealTupleType
Throws:
  `VisADException` - reference does not contain Latitude/Longitude or couldn't create the necessary VisAD object

Method Detail

### toReference

    public double[][] toReference(double[][] tuple)
                           throws VisADException

  Transform to the reference coordinates

  Specified by:
    `toReference` in class `CoordinateSystem`
  Parameters:
    `tuple` - array of values
  Returns:
    input array
  Throws:
    `VisADException` - tuple is null or wrong dimension

### fromReference

    public double[][] fromReference(double[][] refTuple)
                             throws VisADException

  Transform from the reference coordinates

  Specified by:
    `fromReference` in class `CoordinateSystem`
  Parameters:
    `refTuple` - array of values
  Returns:
    input array
  Throws:
    `VisADException` - tuple is null or wrong dimension

### equals

    public boolean equals(Object cs)

  See if the object in question is equal to this CoordinateSystem. The two objects are equal if they are the same object or if they are both TrivialNavigations and have the same dimension.

  Specified by:
    `equals` in class `CoordinateSystem`
  Parameters:
    `cs` - Object in question
  Returns:
    true if they are considered equal, otherwise false.